Bug 147766 - Kernel 2.6.8 work fine with my dvd-rom and cdwriter but not 2.6.9 and neither 2.6.10
Kernel 2.6.8 work fine with my dvd-rom and cdwriter but not 2.6.9 and neither...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 20:33 EST by Michel Plante
Modified: 2015-01-04 17:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:47:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Plante 2005-02-10 20:33:01 EST
Description of problem:DVD-ROM Pioneer combo crashe when i insert a
cdrom in the dvd-rom combo.


Version-Release number of selected component (if applicable):
last current version

How reproducible:Crashing cd

Steps to Reproduce:
1.inserting audio cd in the dvd player
2.closing door
3.computer freeze
  
Actual results:computer freeze


Expected results:the dvd-rom cd player is suppose to play audio cd
properly


Additional info:So to fix that temporarily i have to type chkconfig
haldaemon off and reboot but then totem freeze while inserting dvd i
think.Now the grep thing.
[root@localhost ~]# dmesg | grep hdc
    ide1: BM-DMA at 0xfc08-0xfc0f, BIOS settings: hdc:DMA, hdd:DMA
hdc: Pioneer DVD-ROM ATAPIModel DVD-120, ATAPI CD/DVD-ROM drive
hdc: ATAPI 40X DVD-ROM drive, 256kB Cache, UDMA(33)
[root@localhost ~]#
Comment 1 Michel Plante 2005-02-12 15:39:10 EST
it seem that there is something wrong there:

[root@localhost ~]# ls -l /dev/dvd
lrwxrwxrwx  1 root root 3 Feb 12 09:55 /dev/dvd -> hdc
[root@localhost ~]#
[root@localhost ~]# ls -l /dev/cdrom
lrwxrwxrwx  1 root root 3 Feb 12 09:55 /dev/cdrom -> hdc
[root@localhost ~]#

its like hal/kernel doesnt understand i have a dvd-rom
Comment 2 Michel Plante 2005-02-13 02:30:22 EST
Id would like to say that i try what the guys told me on freenode irc on #fedora
i unplugued the LG cdwriter but strangely i am not suppose to do that fedora
should support having 2 dma drive so a pioneer dvd-rom and also LG cdwriter i
dont understand why Mandrake 10.1 and windows xp are able to handle it but not
fedora core 3 so it would be nice to have a fix for that cause if i unplugged
the LG cdwriter everything is getting back to normal but i need my cdwriter so i
dont want to buy a new cd combo just because fedora cant handle it.So 2
different OS are able to handle it so fedora should too if there is another
solution than buying a new combo tell me im gonna try it thank you.

Il paste here the dmsg | grep hdd of LG:
ide1: BM-DMA at 0xfc08-0xfc0f, BIOS settings: hdc:DMA, hdd:DMA
hdd: LG CD-RW CED-8080B, ATAPI CD/DVD-ROM drive
hdd: ATAPI 32X CD-ROM CD-R/RW drive, 2048kB Cache, DMA

Comment 3 Michel Plante 2005-02-14 20:35:52 EST
I try kernel kernel-2.6.8-1.521vrf.i686.rpm and my ide Pioneer dvd-rom model
D-120  is now working fine and my LG is working fine too so try to understand
why maybe there is a patch on that kernel that fix everything up.

so the link is
ftp://194.199.20.114/linux/sourceforge/l/li/linux-vrf/kernel-2.6.8-1.521vrf.i686.rpm
so if its possible to see if its possible to make a fix or a new kernel for that
cause kernel version: kernel-2.6.10-1.760_FC3.i686.rpm is crashing my system up
when putting an audio cd.

an happy fedora core 3 user
Thank you
Comment 4 Michel Plante 2005-02-16 23:58:16 EST
I play with kernel parameter all evening i add to /boot/grub/grub.conf 
after the kernel version parameter that was already there i add ide=nodma
hdc=ide-scsi hdd=ide-scsi

so there must be something that can be done so its automatic for certain
hardware in future version of kernel.Everything is fix now.
Comment 5 David Zeuthen 2005-02-17 10:20:47 EST
Thanks for the update - you forgot to reassign to the kernel package
maintainers, so I'm doing that for you.
Comment 6 Dave Jones 2005-02-17 19:52:04 EST
ide-scsi shouldnt be used at all for cd writing any more (and for reading it
should never have been needed), so you shouldnt be adding those parameters.  Do
you still get problems if you disable DMA on those drives before you put a CD in ?
Comment 7 Michel Plante 2005-02-17 20:49:20 EST
Well i discover a bug anyway with ide-scsi add to kernel parameter data cd dont
load but if i remove all kernel parameter then when i put an audio cd or data cd
or even a dvd movie the computer crash but i add ide=nodma and everything is fix
dvd playing movie is ok audio cd playing is ok and data cd loading is ok but for
data cd and dvd when i press the button on the cdrom it doesn open only opening
when i click right on the dvd movie icon or data icon on gnome desktop to eject
its fine so i guess kernel 2.6.9 and 2.6.10 for fedora doesnt support my cdroms
drives as dma
Comment 8 Alan Cox 2005-02-18 09:12:04 EST
Please attach an lspci -v output thanks
Comment 9 Michel Plante 2005-02-18 11:03:42 EST
theres for Alan
[root@localhost ~]# lspci -v
00:00.0 Host bridge: Intel Corp. 82865G/PE/P DRAM Controller/Host-Hub Interface
(rev 02)
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, fast devsel, latency 0
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [e4] Vendor Specific Information
        Capabilities: [a0] AGP version 3.0

00:01.0 PCI bridge: Intel Corp. 82865G/PE/P PCI to AGP Controller (rev 02)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Memory behind bridge: fc900000-fe9fffff
        Prefetchable memory behind bridge: e7f00000-f7efffff

00:1d.0 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller
#1 (rev 02) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, medium devsel, latency 0, IRQ 201
        I/O ports at ef00 [size=32]

00:1d.1 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller
#2 (rev 02) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, medium devsel, latency 0, IRQ 209
        I/O ports at ef20 [size=32]

00:1d.2 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI #3 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, medium devsel, latency 0, IRQ 169
        I/O ports at ef40 [size=32]

00:1d.3 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller
#4 (rev 02) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, medium devsel, latency 0, IRQ 201
        I/O ports at ef80 [size=32]

00:1d.7 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
(rev 02) (prog-if 20 [EHCI])
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, medium devsel, latency 0, IRQ 193
        Memory at febfbc00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev c2) (prog-if 00 [Normal
decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: fea00000-feafffff

00:1f.0 ISA bridge: Intel Corp. 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
(rev 02)
        Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corp. 82801EB/ER (ICH5/ICH5R) IDE Controller (rev
02) (prog-if 8a [Master SecP PriP])
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, medium devsel, latency 0, IRQ 169
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at fc00 [size=16]
        Memory at 40000000 (32-bit, non-prefetchable) [size=1K]

00:1f.3 SMBus: Intel Corp. 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: medium devsel, IRQ 5
        I/O ports at 0400 [size=32]

00:1f.5 Multimedia audio controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) AC'97
Audio Controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, medium devsel, latency 0, IRQ 185
        I/O ports at e800 [size=256]
        I/O ports at ee80 [size=64]
        Memory at febfb800 (32-bit, non-prefetchable) [size=512]
        Memory at febfb400 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200]
(rev a1) (prog-if 00 [VGA])
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 9110
        Flags: bus master, 66Mhz, medium devsel, latency 248, IRQ 201
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        [virtual] Expansion ROM at fe9e0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0

02:04.0 RAID bus controller: VIA Technologies, Inc. VT6410 ATA133 RAID
controller (rev 06)
        Subsystem: ASUSTeK Computer Inc.: Unknown device 80f4
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at dfe0 [size=8]
        I/O ports at dfac [size=4]
        I/O ports at dfa0 [size=8]
        I/O ports at dfa8 [size=4]
        I/O ports at df90 [size=16]
        Capabilities: [c0] Power Management version 2

02:05.0 Ethernet controller: 3Com Corporation 3c940 10/100/1000Base-T [Marvell]
(rev 12)
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 177
        Memory at feaf8000 (32-bit, non-prefetchable) [size=16K]
        I/O ports at d800 [size=256]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data

Comment 10 Dave Jones 2005-07-15 14:25:47 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 11 Dave Jones 2005-10-02 20:47:35 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.